リストの取得
シフト作成条件をページネーション付きで返します。
必要なスコープ: schedule_constraints.read
Query Parameters
- Type: integerpagemin:1
ページ番号(1 始まり)
- Type: integerper
_page min:1max:1001 ページあたりの件数(最大 100)
- Type: stringq
- Type: "active" or "inactive"enumstatus
- Type: "required" or "preferred"enumimportance
- Type: stringenumconditionvalues
- headcount
- time
_slot _headcount - attendance
_count - fairness
- schedule
_request - consecutive
_shift - consecutive
_run _limit - consecutive
_run _occurrence - employee
_compatibility - availability
- Type: stringFormat: uuidteam
_id - Type: stringFormat: uuidgroup
_id - Type: stringsort
Responses
- application/json
- application/json
- application/json
Request Example for get/schedule-constraints
curl 'https://api.shiftoru.jp/schedule-constraints?page=1&per_page=10&status=active&importance=required&condition=headcount' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
{
"id": "string",
"group_id": "string",
"team_id": "string",
"name": "string",
"description": "string",
"definition": null,
"is_active": true,
"created_at": "2026-09-11T06:22:32.993Z",
"updated_at": "2026-09-11T06:22:32.993Z"
}
]